Subject: Re: [RFC net-next 6/9] net/cls_flower: Introduce hardware offloading

From: John Fastabend <[email-masked]>
Date: Mon, 01 Feb 2016 01:31:17 -0800

On 16-02-01 12:34 AM, Amir Vadai wrote:
> During initialization, tcf_exts_offload_init() is called to initialize
> the list of actions description. later on, the classifier description
> is prepared and sent to the switchdev using switchdev_port_flow_add().
> 
> When offloaded, fl_classify() is a NOP - already done in hardware.
> 
> Signed-off-by: Amir Vadai <[email-masked]>
> ---

You need to account for where the classifier is being loaded
by passing the handle as I did in my patch set. Otherwise you may
be offloading on egress/ingress or even some qdisc multiple layers
down in the hierarchy.

.John